# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/deploy/v1/cloud_deploy.proto for package 'google.cloud.deploy.v1'
# Original file comments:
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/deploy/v1/cloud_deploy_pb'

module Google
  module Cloud
    module Deploy
      module V1
        module CloudDeploy
          # CloudDeploy service creates and manages Continuous Delivery operations
          # on Google Cloud Platform via Skaffold (https://skaffold.dev).
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.deploy.v1.CloudDeploy'

            # Lists DeliveryPipelines in a given project and location.
            rpc :ListDeliveryPipelines, ::Google::Cloud::Deploy::V1::ListDeliveryPipelinesRequest, ::Google::Cloud::Deploy::V1::ListDeliveryPipelinesResponse
            # Gets details of a single DeliveryPipeline.
            rpc :GetDeliveryPipeline, ::Google::Cloud::Deploy::V1::GetDeliveryPipelineRequest, ::Google::Cloud::Deploy::V1::DeliveryPipeline
            # Creates a new DeliveryPipeline in a given project and location.
            rpc :CreateDeliveryPipeline, ::Google::Cloud::Deploy::V1::CreateDeliveryPipelineRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single DeliveryPipeline.
            rpc :UpdateDeliveryPipeline, ::Google::Cloud::Deploy::V1::UpdateDeliveryPipelineRequest, ::Google::Longrunning::Operation
            # Deletes a single DeliveryPipeline.
            rpc :DeleteDeliveryPipeline, ::Google::Cloud::Deploy::V1::DeleteDeliveryPipelineRequest, ::Google::Longrunning::Operation
            # Lists Targets in a given project and location.
            rpc :ListTargets, ::Google::Cloud::Deploy::V1::ListTargetsRequest, ::Google::Cloud::Deploy::V1::ListTargetsResponse
            # Gets details of a single Target.
            rpc :GetTarget, ::Google::Cloud::Deploy::V1::GetTargetRequest, ::Google::Cloud::Deploy::V1::Target
            # Creates a new Target in a given project and location.
            rpc :CreateTarget, ::Google::Cloud::Deploy::V1::CreateTargetRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single Target.
            rpc :UpdateTarget, ::Google::Cloud::Deploy::V1::UpdateTargetRequest, ::Google::Longrunning::Operation
            # Deletes a single Target.
            rpc :DeleteTarget, ::Google::Cloud::Deploy::V1::DeleteTargetRequest, ::Google::Longrunning::Operation
            # Lists Releases in a given project and location.
            rpc :ListReleases, ::Google::Cloud::Deploy::V1::ListReleasesRequest, ::Google::Cloud::Deploy::V1::ListReleasesResponse
            # Gets details of a single Release.
            rpc :GetRelease, ::Google::Cloud::Deploy::V1::GetReleaseRequest, ::Google::Cloud::Deploy::V1::Release
            # Creates a new Release in a given project and location.
            rpc :CreateRelease, ::Google::Cloud::Deploy::V1::CreateReleaseRequest, ::Google::Longrunning::Operation
            # Approves a Rollout.
            rpc :ApproveRollout, ::Google::Cloud::Deploy::V1::ApproveRolloutRequest, ::Google::Cloud::Deploy::V1::ApproveRolloutResponse
            # Lists Rollouts in a given project and location.
            rpc :ListRollouts, ::Google::Cloud::Deploy::V1::ListRolloutsRequest, ::Google::Cloud::Deploy::V1::ListRolloutsResponse
            # Gets details of a single Rollout.
            rpc :GetRollout, ::Google::Cloud::Deploy::V1::GetRolloutRequest, ::Google::Cloud::Deploy::V1::Rollout
            # Creates a new Rollout in a given project and location.
            rpc :CreateRollout, ::Google::Cloud::Deploy::V1::CreateRolloutRequest, ::Google::Longrunning::Operation
            # Gets the configuration for a location.
            rpc :GetConfig, ::Google::Cloud::Deploy::V1::GetConfigRequest, ::Google::Cloud::Deploy::V1::Config
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
